#include <iostream>
#include <time.h>
using namespace std;

class a
{   
protected:
	int dana_a;
public:
	int  zwroc_dana(void)
	{	return dana_a;	};
	void zmieniaj(void)
	{	dana_a=(rand()%100);
		cout<<"Nowa dana_a:"<<dana_a<<endl;	};
	a(){dana_a=100;
		cout<<"inicjalizacja a:"<<dana_a<<endl;
	    srand((unsigned)time(NULL));};
};

class b
{ 
protected:  
	int dana_b;
public:
	void wpisz(int dana)
	{	dana_b=dana;	}
	void wypisz(void)
	{	cout<< dana_b<<endl;	}
	void odbierz(a obj)
	{	int tmp;
		tmp=obj.zwroc_dana();
		wpisz(tmp);};
	b()
	{	dana_b=0;	};
};

void main(void)
{	a obj1;
	b obj2;
	
	obj2.wypisz();
	
	int tmp;
	tmp=obj1.zwroc_dana();
	obj2.wpisz(tmp);

	obj2.wypisz();
	obj1.zmieniaj();
	obj2.odbierz(obj1);
	obj2.wypisz();
}

